﻿@using PagedList
@using PagedList.Mvc
@using Xtoman.Utility
@model PagedList.IPagedList<OrderReviewViewModel>

@{
    ViewBag.Title = "لیست نظرات مشتریان";
}

<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-12">
            <button class="btn btn-secondary" type="button" data-toggle="collapse" data-target="#searchCollapse" aria-expanded="false" aria-controls="searchCollapse">
                <i class="fa fa-plus"></i> جستجوی پیشرفته
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="box box-default box-solid collapsed-box">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                </div>
                <!-- /.box-tools -->
            </div>
            <div id="searchCollapse" class="collapse">
                @using (Html.BeginForm("Reviews", "ExchangeOrder", new { id = "search-form" }))
                {
                    <input name="page" type="hidden" id="page-number" />
                    @Html.ValidationSummary(true, "", new { @class = "alert alert-danger" })
                    <hr />
                    <div class="row">
                        <div class="col-xs-6 col-md-4">
                            <div class="form-group">
                                <label for="Text">متن جستجو</label>
                                <input type="text" name="Text" id="Text" class="form-control" />
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                <label for="pageSize">تعداد نمایش در هر صفحه</label>
                                <select class="form-control" id="pageSize" name="pageSize">
                                    <option value="10">10</option>
                                    <option value="30" selected>30</option>
                                    <option value="50">50</option>
                                    <option value="100">100</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-success">جستجو <span class="fa fa-search"></span></button>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
<hr />
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">نظرات</h4>
        <button onclick="refresh()" class="pull-left">
            <i class="fa fa-refresh"></i>
        </button>
    </div>
    <div class="box-body pad" style="overflow-x: scroll; text-align: center">
        <i id="loading-list" style="display: none" class="fa fa-fw fa-spinner fa-pulse fa-lg"></i>
        <div id="list-div">
            <div class="col-12">
                <div class="card-box table-responsive">
                    @Html.DataTables(@<thead style="text-align: center;">
                        <tr>
                            <th style="width:10px">
                                @Html.DisplayNameFor(model => model.GetObject().Id)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().Visibility)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().FullName)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().Text)
                            </th>
                            <th style="width: 75px">
                                @Html.DisplayNameFor(model => model.GetObject().VoteRate)
                            </th>
                            <th style="width: 75px;">
                                عملیات
                            </th>
                        </tr>
                    </thead>,
                @<tbody>
                    @foreach (var x in Model)
                 {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => x.Id)
                    </td>
                    <td style="letter-spacing: 0; word-spacing: 0;" id="visibilityLink-@x.Id">
                        <a class="badge badge-@x.Visibility.ToDisplay(DisplayProperty.GroupName)" href="#" onclick="EditVisibility(@x.Id); return false;" style="padding: inherit;">
                            @x.Visibility.ToDisplay()
                        </a>
                        <div id="VisibilityFormGroup-@x.Id" class="row" style="display:none;">
                            <div class="col-md-8">
                                <select class="form-control select2" id="Visibility-@x.Id" name="Visibility-@x.Id">
                                    <option value="0"@(x.Visibility.ToInt() == 0 ? " selected": "")>در انتظار تایید</option>
                                    <option value="1"@(x.Visibility.ToInt() == 1 ? " selected": "")>تایید شده</option>
                                    <option value="2"@(x.Visibility.ToInt() == 2 ? " selected": "")>تایید نشده</option>
                                </select>
                            </div>
                            <div class="col-md-4">
                                <button class="btn btn-sm btn-success" onclick="SaveVisibility(@x.Id)">ثبت</button>
                                <button class="btn btn-sm btn-danger" onclick="CancelVisibility(@x.Id)">لغو</button>
                            </div>
                        </div>
                    </td>
                    <td>
                        @x.FullName
                    </td>
                    <td>
                        @x.Text
                    </td>
                    <td>
                        @x.VoteRate
                    </td>
                    <td>
                        <a href="@Url.Action("Details", new { id = x.OrderId })" class="btn btn-sm btn-primary"><span class="fa fa-search"></span> مشاهده سفارش</a>
                    </td>
                </tr>
         }
                </tbody>)
                </div>
                <div id="contentPager" class="text-center">
                    @Html.PagedListPager((IPagedList)Model, page => Url.Action("Reviews", new { page }), Html.GetPagedListRenderOptions())
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    @Scripts.Render("~/js/jqueryajax")
    <script>
        function EditVisibility(id) {
            $('#VisibilityBtn-' + id).hide();
            $('#VisibilityFormGroup-' + id).show();
        }

        function SaveVisibility(id) {
            var Visibility = $('#Visibility' + id).val();
            doAjax({
                id: id,
                visibility: Visibility
            }, "@Url.Action("ChangeReviewVisibility")", function (data) {
                var text = "";
                if (Visibility == '1') {
                    text = "در انتظار تایید";
                } else if (Visibility == '2')
                $('#visibilityLink-' + id).text(text);
            });
        }
    </script>
}